<?php
// 页游接口
class Webgame{
	
	// 加密签名
	public function sign($array){
		$sign = SH.WZ.KEY;
		foreach($array as $value){
			$sign .= $value;
		}
		return md5($sign);
	}
	// 参数编码
	public function args($array,$sign){
		$arr = array();
		foreach($array as $key => $value){
			$arr[] = $key . "=" . urlencode($value);
		}
		$args = "wz=".WZ."&".implode("&",$arr)."&sign=$sign";
		return $args;
	}
	
	
	/********************************
		
			登录接口
			KEY:商户密钥
			开服编号:通过后台游戏管理-开服计划-点击确定开服后，于区服管理中获取
			md5(商户密钥.开服编号.用户帐号.时间戳)
			
	********************************/
	// 开始游戏
	public function login($kf,$user){
		// 加密签名
		$time = time();
		$sign = md5(KEY.$kf.$user.$time);
		// 返回链接
		$user = urlencode($user);
		return "http://www.yeyou.tw/Interface/Login/$kf.html?user=$user&time=$time&sign=$sign";
	}
	// 获取新手卡
	public function card($op,$kf,$user){
		// 必要参数
		$kf = $kf;
		$type = $op;
		$user = $user;
		$sign = md5(KEY.$kf.$type.$user);
		$user = urlencode($user);
		// 获取卡号
		$path = "http://www.yeyou.tw/Interface/card.html?kf=$kf&type=$type&user=$user&sign=$sign";
		$rel = file_get_contents($path);
		return $rel;
	}
	
	// 游戏列表
	public function yeyou(){
		$yxJson = @file_get_contents("http://www.yeyou.tw/Interface/yeyou.html");
		$yxList = json_decode($yxJson,true);
		return $yxList;
	}
	
	// 区服列表
	public function qufu(){
		$qfJson = @file_get_contents("http://www.yeyou.tw/Interface/qufu.html");
		$qfList = json_decode($qfJson,true);
		return $qfList;
	}
	
	// 申请开服
	public function kaifu($array){
		// 加密签名
		$sign = $this->sign($array);
		// 参数编码
		$uri = $this->args($array,$sign);
		// 获取结果
		$rel = @file_get_contents("http://www.yeyou.tw/Interface/kaifu?$uri");
		// 判断结果
		if($rel > 50000000 && strlen($rel) == 8) return array(true,$rel);
		else if($rel == -10000) return array(false,"参数错误或为空!");
		else if($rel == -10001) return array(false,"网站编号不存在或被限制!");
		else if($rel == -10002) return array(false,"商户编号不存在或被限制!");
		else if($rel == -10003) return array(false,"该区服不存在!");
		else if($rel == -10004) return array(false,"加密签名验证错误!");
		else if($rel == -10005) return array(false,"修改开服信息失败!");
		else if($rel == -10006) return array(false,"添加开服信息失败!");
		else return array(false,"申请开服失败!");
	}
	
	
	/********************************
		
			充值接口
			KEY:商户密钥
			开服编号：通过后台游戏管理-开服计划-点击确定开服后，于区服管理中获取
			md5(商户密钥.开服编号.用户帐号.订单编号.支付方式.充值金额)
			
	********************************/
	// 提交充值
	public function pay($kf,$user,$order,$fs,$money){
		// 加密签名
		$sign = md5(KEY.$kf.$user.$order.$fs.$money);
		$user = urlencode($user);
		// 返回链接
		return "http://www.yeyou.tw/Interface/Pay/$kf.html?user=$user&dd=$order&fs=$fs&money=$money&sign=$sign";
	}
	// 支付方式
	public function payfs(){
		$fsJson = @file_get_contents("http://www.yeyou.tw/Interface/payfun.html");
		return json_decode($fsJson,true);
	}
	// 计算金额
	public function jisuan($yx,$fs,$money){
		$rel = @file_get_contents("http://www.yeyou.tw/Interface/jisuan?yx=$yx&fs=$fs&money=$money");
		return $rel;
	}
}
?>